/*
 *    %W% %G%  -  Locating and opening the appropriate ftpaccess file.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * AUTHOR
 *      Kent Landfield  <kent@landfield.com>
 *
 * HISTORY
 *      970423  KBL      Created
 */

#ifdef  VIRTUAL_SERVER

#include <stdio.h>
#include <string.h>

int
#ifdef __STDC__
read_servers_line(FILE *svrfp, char *hostaddress, char *accesspath)
#else
read_servers_line(svrfp, hostaddress, accesspath)
FILE *svrfp;
char *hostaddress;
char *accesspath;
#endif
{
    int isspace();

    static char buffer[BUFSIZ];
    char    *hcp, *acp;
    char    *bcp, *ecp;

    while (fgets(buffer, BUFSIZ, svrfp) != NULL) {

        /* Find first non-whitespace character */
        for (bcp = buffer; ((*bcp == '\t') || (*bcp == ' ')); bcp++) ;
            
        /* Get rid of comments */
        if ((ecp = strchr(buffer, '#')) != NULL)
             *ecp = '\0';
            
        /* Skip empty lines */
        if ((bcp == ecp) || (*bcp == '\n'))
             continue;

        /* separate parts */

        hcp = bcp;
        for (acp = hcp; 
             (*acp && !isspace(*acp)); acp++);

        /* better have something in access path or skip the line */
        if (!*acp)
            continue;
 
        *acp++ = '\0';
        
        while (*acp && isspace(*acp))
               acp++;

        /* again better have something in access path or skip the line */
        if (!*acp)
            continue;
 
        ecp = acp;

        while (*ecp && (!isspace(*ecp)) &&  *ecp != '\n')
               ++ecp;

        *ecp = '\0';

        strcpy(hostaddress, hcp);
        strcpy(accesspath, acp);
 
        return(1);
    }
    return(0);
}
#endif
